Package org.eclipse.rdf4j.query.algebra.evaluation.limited.iterator

## Class LimitedSizeOrderIteration

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration<E,​X>
  - - org.eclipse.rdf4j.common.iteration.DelayedIteration<BindingSet,​QueryEvaluationException>
    - - org.eclipse.rdf4j.query.algebra.evaluation.iterator.OrderIterator
      - - org.eclipse.rdf4j.query.algebra.evaluation.limited.iterator.LimitedSizeOrderIteration

- All Implemented Interfaces:
    `AutoCloseable`, `CloseableIteration<BindingSet,​QueryEvaluationException>`, `Iteration<BindingSet,​QueryEvaluationException>`

      public class LimitedSizeOrderIteration
      extends OrderIterator

  Author:
    Jerven Bolleman, SIB Swiss Institute of Bioinformatics

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LimitedSizeOrderIteration​(CloseableIteration<BindingSet,​QueryEvaluationException> iter, Comparator<BindingSet> comparator, long limit, boolean distinct, AtomicLong used, long maxSize)` |
    `LimitedSizeOrderIteration​(CloseableIteration<BindingSet,​QueryEvaluationException> iter, Comparator<BindingSet> comparator, AtomicLong used, long maxSize)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `decrement​(int amount)` |
    `protected void` | `increment()` |

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.evaluation.iterator.OrderIterator

      `createIteration, handleClose, remove`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.DelayedIteration

      `hasNext, next`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration

      `close, isClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.Iteration

      `stream`

- - ### Constructor Detail

    - #### LimitedSizeOrderIteration

          public LimitedSizeOrderIteration​(CloseableIteration<BindingSet,​QueryEvaluationException> iter,
                                           Comparator<BindingSet> comparator,
                                           AtomicLong used,
                                           long maxSize)

      Parameters:
        `iter` -
        `comparator` -

    - #### LimitedSizeOrderIteration

          public LimitedSizeOrderIteration​(CloseableIteration<BindingSet,​QueryEvaluationException> iter,
                                           Comparator<BindingSet> comparator,
                                           long limit,
                                           boolean distinct,
                                           AtomicLong used,
                                           long maxSize)

  - ### Method Detail

    - #### increment

          protected void increment()
                            throws QueryEvaluationException

      Overrides:
        `increment` in class `OrderIterator`
      Throws:
        `QueryEvaluationException`

    - #### decrement

          protected void decrement​(int amount)
                            throws QueryEvaluationException

      Overrides:
        `decrement` in class `OrderIterator`
      Throws:
        `QueryEvaluationException`